Show ticket prices¶
Use /tickets/{ticketID}/prices to retrieve price of a ticket created at landfill for disposalTo retrieve summary of all the tickets, see disposal ticket api
URI¶
GET /api/v1/customers/{customerId}/tickets/{ticketId}/prices?ticket_type=disposal
Headers¶
| Parameter | Mandatory | Data Type | Allowed Values | Description |
|---|---|---|---|---|
| Request-Tracking-Id | Y | String | Unique Identifier for each request | |
| Authorization | Y | String | Access token | |
| ClientId | Y | String | Will be provided by WM | |
| Accept | N | String | application/json or application/xml | Default is application/json |
Request Parameters¶
Pass the following parameters in the request.
| Parameter | Mandatory | Data Type | Type | Description |
|---|---|---|---|---|
| customerId | Y | Number | path | Unique Customer Identifier |
| ticketId | Y | Number | path | Unique ID assigned to a ticket |
| ticket_type | Y | String | query | Ticket Type(disposal) |
Response Fields¶
| Parameter | Data Type | Description |
|---|---|---|
| request_tracking_id | String | Unique identifier for each request |
| tickets | Object | Ticket details |
| status | String | Ticket status |
| material_subtotal | Number | Amount charged for the material |
| surcharge | Number | Amount charged as part of surcharges |
| tax | Number | Amount charged as taxes |
| amount | Number | Total amount charged for the specified ticket |
| currency | String | currency code(USD or CAD) |
Tip
For information about how to test, see How To Test
Sample Request¶
http://api.wm.com/v1/customers/123456789/tickets/822908/price?ticket_type=disposal
Sample Response¶
{ "request_tracking_id": "1234547", "tickets": [{ "status": "Inactive", "material_subtotal": "147.14", "surcharge": "0", "tax": "18.38", "amount": "165.52", "currency": "United States Dollar" }]}